Subject: Re: 8 character password length revisited

From: [email-masked] (Koos van den Hout _U nix and we all_)
Date: Tue, 4 Jul 95 10:42:41 MET DST

In a previous message, you wrote :

> What is the cause of the 8 character limit on passwords?

I also dug into this problem again for Linux with shadow passwords. Using
libshadow.a from shadow-3.3.1 I found I needed to change the call in ftpd.c
from

	xpasswd = crypt(passwd,salt);

to

	xpasswd = pw_encrypt(passwd,salt);

which fixed things for Linux.

                                              Grtz. KH

-- 
  Koos van den Hout,           Internetter, Unix freak and BBS SysOp at large
  [email-masked] (Home)        BBS Koos z'n Doos (+31-3402-36637 28k8)
  [email-masked] (Work)  <-- finger for PGPkey       (+31-3402-56619 14k4)
  http://www.hvu.nl/~koos (WWW)    Looking for a license plate with "RFC 822"
  GCS d- p(-) c++(+++) l+ u+++ e++ m+(-) s+/- !n h f+ g+ w(++) t+ r !y(*)